# Uses of Class
org.apache.lucene.queryparser.flexible.core.config.QueryConfigHandler

Packages that use QueryConfigHandler
Package
Description
org.apache.lucene.queryparser.flexible.core
Core classes of the flexible query parser framework.
org.apache.lucene.queryparser.flexible.core.processors
Interfaces and implementations used by query node processors
org.apache.lucene.queryparser.flexible.precedence.processors
Lucene Precedence Query Parser Processors
org.apache.lucene.queryparser.flexible.standard.config
Standard Lucene Query Configuration.
org.apache.lucene.queryparser.flexible.standard.processors
Lucene Query Node Processors.

- ## Uses of QueryConfigHandler in org.apache.lucene.queryparser.flexible.core

  Methods in org.apache.lucene.queryparser.flexible.core that return QueryConfigHandler
  Modifier and Type
  Method
  Description
  `QueryConfigHandler`
  QueryParserHelper.`getQueryConfigHandler()`
  Returns the query configuration handler, which is used during the query node tree processing.
  Methods in org.apache.lucene.queryparser.flexible.core with parameters of type QueryConfigHandler
  Modifier and Type
  Method
  Description
  `void`
  QueryParserHelper.`setQueryConfigHandler(QueryConfigHandler config)`
  Sets the query configuration handler that will be used during query processing.
  Constructors in org.apache.lucene.queryparser.flexible.core with parameters of type QueryConfigHandler
  Modifier
  Constructor
  Description
  ``
  `QueryParserHelper(QueryConfigHandler queryConfigHandler, SyntaxParser syntaxParser, QueryNodeProcessor processor, QueryBuilder builder)`
  Creates a query parser helper object using the specified configuration, text parser, processor and builder.

- ## Uses of QueryConfigHandler in org.apache.lucene.queryparser.flexible.core.processors

  Methods in org.apache.lucene.queryparser.flexible.core.processors that return QueryConfigHandler
  Modifier and Type
  Method
  Description
  `QueryConfigHandler`
  QueryNodeProcessor.`getQueryConfigHandler()`
  Returns the `QueryConfigHandler` associated to the query tree if any, otherwise it returns `null`
  `QueryConfigHandler`
  QueryNodeProcessorImpl.`getQueryConfigHandler()`
  For reference about this method check: `QueryNodeProcessor.getQueryConfigHandler()`.
  `QueryConfigHandler`
  QueryNodeProcessorPipeline.`getQueryConfigHandler()`
  For reference about this method check: `QueryNodeProcessor.getQueryConfigHandler()`.
  Methods in org.apache.lucene.queryparser.flexible.core.processors with parameters of type QueryConfigHandler
  Modifier and Type
  Method
  Description
  `void`
  QueryNodeProcessor.`setQueryConfigHandler(QueryConfigHandler queryConfigHandler)`
  Sets the `QueryConfigHandler` associated to the query tree.
  `void`
  QueryNodeProcessorImpl.`setQueryConfigHandler(QueryConfigHandler queryConfigHandler)`
  For reference about this method check: `QueryNodeProcessor.setQueryConfigHandler(QueryConfigHandler)`.
  `void`
  QueryNodeProcessorPipeline.`setQueryConfigHandler(QueryConfigHandler queryConfigHandler)`
  For reference about this method check: `QueryNodeProcessor.setQueryConfigHandler(QueryConfigHandler)`.
  Constructors in org.apache.lucene.queryparser.flexible.core.processors with parameters of type QueryConfigHandler
  Modifier
  Constructor
  Description
  ``
  `QueryNodeProcessorImpl(QueryConfigHandler queryConfigHandler)`
  ``
  `QueryNodeProcessorPipeline(QueryConfigHandler queryConfigHandler)`
  Constructs with a `QueryConfigHandler` object.

- ## Uses of QueryConfigHandler in org.apache.lucene.queryparser.flexible.precedence.processors

  Constructors in org.apache.lucene.queryparser.flexible.precedence.processors with parameters of type QueryConfigHandler
  Modifier
  Constructor
  Description
  ``
  `PrecedenceQueryNodeProcessorPipeline(QueryConfigHandler queryConfig)`

- ## Uses of QueryConfigHandler in org.apache.lucene.queryparser.flexible.standard.config

  Subclasses of QueryConfigHandler in org.apache.lucene.queryparser.flexible.standard.config
  Modifier and Type
  Class
  Description
  `class`
  `StandardQueryConfigHandler`
  This query configuration handler is used for almost every processor defined in the `StandardQueryNodeProcessorPipeline` processor pipeline.
  Constructors in org.apache.lucene.queryparser.flexible.standard.config with parameters of type QueryConfigHandler
  Modifier
  Constructor
  Description
  ``
  `FieldBoostMapFCListener(QueryConfigHandler config)`
  ``
  `FieldDateResolutionFCListener(QueryConfigHandler config)`
  ``
  `PointsConfigListener(QueryConfigHandler config)`
  Constructs a `PointsConfigListener` object using the given `QueryConfigHandler`.

- ## Uses of QueryConfigHandler in org.apache.lucene.queryparser.flexible.standard.processors

  Methods in org.apache.lucene.queryparser.flexible.standard.processors that return QueryConfigHandler
  Modifier and Type
  Method
  Description
  `QueryConfigHandler`
  BooleanQuery2ModifierNodeProcessor.`getQueryConfigHandler()`
  Methods in org.apache.lucene.queryparser.flexible.standard.processors with parameters of type QueryConfigHandler
  Modifier and Type
  Method
  Description
  `void`
  BooleanQuery2ModifierNodeProcessor.`setQueryConfigHandler(QueryConfigHandler queryConfigHandler)`
  Constructors in org.apache.lucene.queryparser.flexible.standard.processors with parameters of type QueryConfigHandler
  Modifier
  Constructor
  Description
  ``
  `StandardQueryNodeProcessorPipeline(QueryConfigHandler queryConfig)`